"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePath = void 0;
const peg = require("pegjs");
const grammar = `
start
  = element+

element
  = component:component "."? { return component; }

component
  = $(identifier index?)

identifier
  = $([^'"\\[\\]\\.]+)

index
  = $("[" ['"]? [^'"\\]]+ ['"]? "]")
`;
exports.parsePath = createPathParser();
function createPathParser() {
    const parser = peg.generate(grammar);
    return (expr) => {
        try {
            return parser.parse(expr);
        }
        catch (e) {
            // I haven't actually been able to write a testcase that triggers this
            // code path, but I've included it anyway as a fallback to allow users to
            // keep using the CLI even if this does occur. Their paths might look
            // strange, but that's better than nothing.
            return expr.split('.');
        }
    };
}
//# sourceMappingURL=path.js.map