"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeRequest = void 0;
const request_1 = require("./request");
const alerts = require("../alerts");
const metrics_1 = require("../metrics");
async function makeRequestWrapper(payload, callback) {
    const totalNetworkTimeTimer = metrics_1.MetricsCollector.NETWORK_TIME.createInstance();
    totalNetworkTimeTimer.start();
    try {
        const result = await request_1.makeRequest(payload);
        if (result.body.alerts) {
            alerts.registerAlerts(result.body.alerts);
        }
        // make callbacks and promises work
        if (callback) {
            callback(null, result.res, result.body);
        }
        return result;
    }
    catch (error) {
        if (callback) {
            return callback(error);
        }
        throw error;
    }
    finally {
        totalNetworkTimeTimer.stop();
    }
}
exports.makeRequest = makeRequestWrapper;
//# sourceMappingURL=index.js.map